Query OrderItem
curl --request POST \
--url https://api.glass.fm/vLatest/query/glasscore/orderitem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"return": [
"id",
"firstName",
"lastName"
],
"isAdditionalData": false,
"page": 1,
"pageSize": 20,
"sortBy": "createdAt",
"sortDirection": "desc"
}
'import requests
url = "https://api.glass.fm/vLatest/query/glasscore/orderitem"
payload = {
"return": ["id", "firstName", "lastName"],
"isAdditionalData": False,
"page": 1,
"pageSize": 20,
"sortBy": "createdAt",
"sortDirection": "desc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
return: ['id', 'firstName', 'lastName'],
isAdditionalData: false,
page: 1,
pageSize: 20,
sortBy: 'createdAt',
sortDirection: 'desc'
})
};
fetch('https://api.glass.fm/vLatest/query/glasscore/orderitem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glass.fm/vLatest/query/glasscore/orderitem",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'return' => [
'id',
'firstName',
'lastName'
],
'isAdditionalData' => false,
'page' => 1,
'pageSize' => 20,
'sortBy' => 'createdAt',
'sortDirection' => 'desc'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glass.fm/vLatest/query/glasscore/orderitem"
payload := strings.NewReader("{\n \"return\": [\n \"id\",\n \"firstName\",\n \"lastName\"\n ],\n \"isAdditionalData\": false,\n \"page\": 1,\n \"pageSize\": 20,\n \"sortBy\": \"createdAt\",\n \"sortDirection\": \"desc\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.glass.fm/vLatest/query/glasscore/orderitem")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"return\": [\n \"id\",\n \"firstName\",\n \"lastName\"\n ],\n \"isAdditionalData\": false,\n \"page\": 1,\n \"pageSize\": 20,\n \"sortBy\": \"createdAt\",\n \"sortDirection\": \"desc\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glass.fm/vLatest/query/glasscore/orderitem")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"return\": [\n \"id\",\n \"firstName\",\n \"lastName\"\n ],\n \"isAdditionalData\": false,\n \"page\": 1,\n \"pageSize\": 20,\n \"sortBy\": \"createdAt\",\n \"sortDirection\": \"desc\"\n}"
response = http.request(request)
puts response.read_body{
"c_currentStatusCodeId": "<string>",
"c_currentStatusCodeName": "<string>",
"c_org": "<string>",
"c_personNameFirst": "<string>",
"c_personNameLast": "<string>",
"c_productName": "<string>",
"CreationTimestamp": "<string>",
"CurrentStatusId": 123,
"id": 123,
"isNotModifiable": true,
"orderedBy": "<string>",
"OrgId": 123,
"Parent~OrderItemId": 123,
"Passport~OrderItemId": 123,
"PersonId": 123,
"ProductId": 123
}OrderItem
Query OrderItem
Retrieve a list of OrderItems with a complex or simple query.
POST
/
vLatest
/
query
/
glasscore
/
orderitem
Query OrderItem
curl --request POST \
--url https://api.glass.fm/vLatest/query/glasscore/orderitem \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"return": [
"id",
"firstName",
"lastName"
],
"isAdditionalData": false,
"page": 1,
"pageSize": 20,
"sortBy": "createdAt",
"sortDirection": "desc"
}
'import requests
url = "https://api.glass.fm/vLatest/query/glasscore/orderitem"
payload = {
"return": ["id", "firstName", "lastName"],
"isAdditionalData": False,
"page": 1,
"pageSize": 20,
"sortBy": "createdAt",
"sortDirection": "desc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
return: ['id', 'firstName', 'lastName'],
isAdditionalData: false,
page: 1,
pageSize: 20,
sortBy: 'createdAt',
sortDirection: 'desc'
})
};
fetch('https://api.glass.fm/vLatest/query/glasscore/orderitem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glass.fm/vLatest/query/glasscore/orderitem",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'return' => [
'id',
'firstName',
'lastName'
],
'isAdditionalData' => false,
'page' => 1,
'pageSize' => 20,
'sortBy' => 'createdAt',
'sortDirection' => 'desc'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glass.fm/vLatest/query/glasscore/orderitem"
payload := strings.NewReader("{\n \"return\": [\n \"id\",\n \"firstName\",\n \"lastName\"\n ],\n \"isAdditionalData\": false,\n \"page\": 1,\n \"pageSize\": 20,\n \"sortBy\": \"createdAt\",\n \"sortDirection\": \"desc\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.glass.fm/vLatest/query/glasscore/orderitem")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"return\": [\n \"id\",\n \"firstName\",\n \"lastName\"\n ],\n \"isAdditionalData\": false,\n \"page\": 1,\n \"pageSize\": 20,\n \"sortBy\": \"createdAt\",\n \"sortDirection\": \"desc\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glass.fm/vLatest/query/glasscore/orderitem")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"return\": [\n \"id\",\n \"firstName\",\n \"lastName\"\n ],\n \"isAdditionalData\": false,\n \"page\": 1,\n \"pageSize\": 20,\n \"sortBy\": \"createdAt\",\n \"sortDirection\": \"desc\"\n}"
response = http.request(request)
puts response.read_body{
"c_currentStatusCodeId": "<string>",
"c_currentStatusCodeName": "<string>",
"c_org": "<string>",
"c_personNameFirst": "<string>",
"c_personNameLast": "<string>",
"c_productName": "<string>",
"CreationTimestamp": "<string>",
"CurrentStatusId": 123,
"id": 123,
"isNotModifiable": true,
"orderedBy": "<string>",
"OrgId": 123,
"Parent~OrderItemId": 123,
"Passport~OrderItemId": 123,
"PersonId": 123,
"ProductId": 123
}Authorizations
Body
application/json
Multiple query options are supported. You can build a complex query filling out the advancedFilter section. We also support "simple" queries which used by putting the key you want to filter by in the query section along with the value you want it to filter for. E.g., nameFirst=John will return all persons with a first name of John.
Response
200 - application/json
A list of OrderItems

